Elder Arin:
While other races were brandishing their bamboo spears and stone axes, our ancestors had already fashioned bronze tools and begun to learn the secrets of steel. The Black Anvil Guild continues the tradition of those ancestors through delicate workmanship and a noble spirit of craftsmanship. Our guild has produced all the great craftsmen of Dwarven history. Our mithril weapons and adamantite armor are traded at the highest prices at any market.
Also, our guild members study the lost science and technology of the giants more deeply than anyone else. The siege golems and airships that we produce are the results of such studies.
Return